/* _PERSONALISER */

@media only screen and (min-width: 1024px) {
  .menu li .submenu li a {
    color: #000;
    padding: 10px 40px 10px 20px;
    background: transparent;
    display: block;
  }

  .menu li .submenu li a:hover {
    background: #eee;
    color: #000;
    transform: none;
  }

  .menu li.megamenu > a:before {
    border-right: 2px solid #000;
    border-bottom: 2px solid #000;
  }
}

@media only screen and (max-width: 1023px) {
  .mobile-menu li a {
    color: #000;
  }
  .mobile-menu li .submenu {
    background: #fff;
  }

  .mobile-menu li .submenu .backmenu-row {
    background: #fff;
  }

  .mobile-menu li .submenu .backmenu-row em {
    color: #000;
  }
}

/* -------------------------------------------- */

header .menu-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
}

header .menu-row,
header #mainmenu {
  width: 100%;
  height: 100%;
}

header .menu {
  margin-bottom: 0;
  height: 100%;
}

header .menu-row,
header .menu-box {
  height: 100%;
}

header .menu,
header .menu ul {
  list-style-type: none;
  padding-left: 0;
}

header .menu a {
  color: inherit;
  text-decoration: none;
}

header .menu li a {
  display: flex !important;
  align-items: center;
}

header .menu .megamenu > a {
  padding-right: 40px;
}

header .menu li {
  margin-right: 25px;
}

header .menu li.megamenu {
  margin-right: 35px;
}

@media only screen and (min-width: 1024px) {
  /* PERSONNALISER */
  .menu li .submenu li a {
    color: #000;
    padding: 10px 40px 10px 20px;
    background: transparent;
    display: block;
  }

  .menu li .submenu li a:hover {
    background: #eee;
    color: #000;
    transform: none;
  }

  .menu li.megamenu > a:before {
    border-right: 2px solid #fff;
    border-bottom: 2px solid #fff;
  }
  /*  */

  .menu {
    display: flex !important;
  }

  .menu .megamenu > a:after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    top: 100%;
    height: 28px;
    display: none;
  }

  .menu .megamenu > a:hover:after {
    display: block;
  }

  .menu li .submenu {
    transition: 350ms all;
  }

  .menu li:hover > .submenu {
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
  }

  .menu li.megamenu > a {
    padding-right: 0;
    position: relative;
  }

  .menu li.megamenu > a:before {
    content: "";
    position: absolute;
    right: -15px;
    height: 8px;
    width: 8px;
    transform: rotate(45deg) translate(0%, -50%);
  }

  .menu li .submenu {
    position: absolute;
    top: 100%;
    transform: translateY(50px);
    opacity: 0;
    visibility: hidden;
    background: #fff;
    box-shadow: 0px 0px 5px 1px #00000026;
  }

  .menu li .submenu li {
    margin-right: 0;
    font-size: 16px;
    position: relative;
  }

  .menu li .submenu li a:before {
    right: 15px;
    transform: rotate(-45deg);
  }

  .menu li .submenu .submenu {
    position: absolute;
    left: 100%;
    top: 0;
    width: max-content;
  }
}

@media only screen and (max-width: 1023px) {
  /* PERSONALISER */
  .mobile-menu li a {
    color: #000;
  }
  .mobile-menu li .submenu {
    background: #fff;
  }

  .mobile-menu li .submenu .backmenu-row {
    background: #fff;
  }

  .mobile-menu li .submenu .backmenu-row em {
    color: #000;
  }
  /*  */
  #menu_trigger {
    height: 22px;
    width: 30px;
    display: inline-block;
  }

  #menu_trigger .menulines {
    margin-top: 9px;
    position: relative;
    display: block;
  }

  #menu_trigger .menulines,
  #menu_trigger .menulines:before,
  #menu_trigger .menulines:after {
    content: "";
    height: 2px;
    width: 30px;
    border-radius: 5px;
    background: #fff;
  }

  #menu_trigger .menulines:before,
  #menu_trigger .menulines:after {
    position: absolute;
    left: 0;
  }

  #menu_trigger .menulines:before {
    top: -9px;
  }

  #menu_trigger .menulines:after {
    top: 9px;
  }

  .mobile-menu {
    display: none;
    position: absolute;
    left: 0;
    right: 0;
    top: 100%;
    background: #fff;
    overflow: hidden;
  }

  .mobile-menu ul {
    transition: 350ms all;
    display: block;
  }

  .mobile-menu li {
    margin: 0;
    border-bottom: 1px solid #fff;
    font-size: 16px;
  }

  .mobile-menu li a {
    display: block;
    position: relative;
    padding: 15px 20px;
  }

  .mobile-menu li a:hover {
    color: #ff5252;
  }

  .mobile-menu li a .navtrigger {
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    width: 30px;
    background: #fff;
    border: 1px solid #fff;
  }

  .mobile-menu li a .navtrigger:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    height: 8px;
    width: 8px;
    border-right: 2px solid #000;
    border-bottom: 2px solid #000;
    transform: translate(-50%, -50%) rotate(-45deg);
  }

  .mobile-menu li .submenu {
    position: absolute;
    top: 0;
    left: 100%;
    width: 100%;
    height: 100%;
    transition: 350ms all;
    z-index: 1;
  }

  header .menu li.megamenu {
    margin-right: 0;
  }

  .mobile-menu li .submenu li {
    font-size: 14px;
  }

  .mobile-menu li .submenu .backmenu-row {
    position: relative;
    padding: 20px;
    padding-left: 50px;
    font-size: 16px;
  }

  .mobile-menu li .submenu .backmenu-row .back-trigger {
    padding: 0;
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 30px;
    display: block;
    background: #fff;
    border: 1px solid #fff;
  }

  .mobile-menu li .submenu .backmenu-row .back-trigger:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    height: 8px;
    width: 8px;
    border-right: 2px solid #000;
    border-bottom: 2px solid #000;
    transform: translate(-50%, -50%) rotate(135deg);
  }

  .mobile-menu li .submenu .backmenu-row em {
    font-style: normal;
  }

  .mobile-menu li.sub-open > .submenu {
    left: 0;
  }
}
